Homebrew HiyaCFW Discussion

Are you excited for DSi CFW?

  • Yes

    Votes: 333 85.8%
  • No

    Votes: 55 14.2%

  • Total voters
    388

JSMastah

Member
Newcomer
Joined
May 28, 2017
Messages
5
Trophies
0
XP
155
Country
United States
I'm curious of something. Since we have these exploits now. Will there or is there a way to have the hacked version run on start without a "fastCart"? Like a bootrom exploit?
 

sieroi

Well-Known Member
Member
Joined
Apr 29, 2015
Messages
144
Trophies
0
Age
34
XP
446
Country
Is this likely to get a more permanent entrypoint that autoboots without a RocketLauncher/whitelist exploit cartridge inserted, by any chance?
 
  • Like
Reactions: CatmanFan

Lyrin

Annoying Weaboo Girl
Member
Joined
Jun 4, 2017
Messages
499
Trophies
0
Age
21
Website
www.reddit.com
XP
659
Country
United States
Has anyone even tried exploiting the DSi's bootloader? I'm loving all the attention the DSi is getting lately, but I hate the requirements of a 1.4.0 firmware and needing FourSwords.
There's a dsiware exploit in development, that'll let you downgrade to 1.4.
 

reprep

Well-Known Member
Member
Joined
Jul 5, 2012
Messages
939
Trophies
0
Website
melankolisavar.blogspot.com
XP
1,024
Country
My number one request from HiyaCFW would be inputredirection. I would love to use my Dualshock 3 when i am playing at home. It works wonders with my Luma CFWed 3DS, i can finally enjoy dragon quest 8 with a good controller. I want to do the same with dragon quest 4-5-6 remakes on DSi.
 

Gericom

Well-Known Member
Member
Joined
Jun 30, 2011
Messages
1,359
Trophies
0
Age
23
XP
3,867
Country
Netherlands
My number one request from HiyaCFW would be inputredirection. I would love to use my Dualshock 3 when i am playing at home. It works wonders with my Luma CFWed 3DS, i can finally enjoy dragon quest 8 with a good controller. I want to do the same with dragon quest 4-5-6 remakes on DSi.
I'm not sure if that will be possible. Don't forget that unlike the 3ds, no OS is running anymore once the game has started.
 

ahezard

Well-Known Member
Member
Joined
Feb 17, 2016
Messages
115
Trophies
0
XP
1,098
Country
France
Note to all still active ds/dsi homebrew developers : if you want your homebrew to be directly compatible with HiyaCFW, port it to the latest devKitARM/libnds version. The improvements made in the 2017 versions of this sdk was about better dsi mode compatibility and producing a valid dsi mode .nds file (similar to a dsiware .nds). Homebrew based on older sdks will still run using nds-bootstrap as a compatibility layer but it is not a perfect solution.
 

CatmanFan

Anxious and regretful
OP
Member
Joined
Aug 14, 2016
Messages
1,952
Trophies
0
Website
www.youtube.com
XP
1,805
Country
Morocco
Note to all still active ds/dsi homebrew developers : if you want your homebrew to be directly compatible with HiyaCFW, port it to the latest devKitARM/libnds version. The improvements made in the 2017 versions of this sdk was about better dsi mode compatibility and producing a valid dsi mode .nds file (similar to a dsiware .nds). Homebrew based on older sdks will still run using nds-bootstrap as a compatibility layer but it is not a perfect solution.
That's a great idea! Thanks!
BTW, how can you download the latest SDK version?
 
Last edited by CatmanFan,
General chit-chat
Help Users
  • No one is chatting at the moment.
    Pickle_Rick @ Pickle_Rick: